Turn off the validation on ip addresses
Description

The cases that the validation prevents doing:

1. 2 isolated networks with smart-proxy managed services (because for

various reasons it's not possible to have the global smart proxy).

2. managing more identic livirt instances with one foreman (NAT networks with

the same mask).

Is there any reason why the IP uniqueness is required anyway?

Related issues:

Related to Foreman - Feature #6444: Add ancestry NICs and allow interfaces wi... Closed 06/30/2014

Related to Foreman - Bug #3513: Foreman assigns wrong VPC when multiple VPCs ... New 10/25/2013

History

#1 - 07/26/2014 04:35 PM - Ivan Necas

- Related to Feature #6444: Add ancestry NICs and allow interfaces with same MAC added

#2 - 07/28/2014 04:39 AM - Dominic Cleal

- Category set to Network

If you have multiple identical subnets, then you'll hit uniqueness issues on those too (similar to issue #3513), so just removing IP address validation

isn't enough.

IP addresses are used to identify hosts during unattended installation, so are meant to be unique.

#3 - 07/28/2014 04:40 AM - Dominic Cleal

- Related to Bug #3513: Foreman assigns wrong VPC when multiple VPCs have same subnets added

#4 - 08/04/2014 11:56 AM - Ivan Necas

The token-based identification is now set as default. What about deprecating the ip-based identification? Is there any case it's still not an option? If it

is, is it mainstream enough to keep the uniqueness enforced. One posibility would be to enable the validation only when the ip-based identification is

used (not saying that I would like that, but it would be better, than the current state)

#5 - 08/05/2014 02:41 AM - Marek Hulán

And probably disallow IP-based identification unless all IPs are unique. Or just warn user that it's limitation of IP-based identification and leave conflict

up to him/her. I'd vote for validations.
